VERSION 5.00
Begin VB.UserControl oOfficemen 
   BackColor       =   &H00C0C0C0&
   CanGetFocus     =   0   'False
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   InvisibleAtRuntime=   -1  'True
   PaletteMode     =   2  'Benutzerdefiniert
   PropertyPages   =   "oOfficemen.ctx":0000
   ScaleHeight     =   3600
   ScaleWidth      =   4800
   ToolboxBitmap   =   "oOfficemen.ctx":0014
   Begin VB.Image imgLogo 
      Height          =   750
      Left            =   0
      Picture         =   "oOfficemen.ctx":0326
      Top             =   0
      Width           =   885
   End
End
Attribute VB_Name = "oOfficemen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
Option Explicit

'Geschrieben von Wolfgang Ehrhardt
'                   woeh@gmx.de
   
Private Declare Function DrawMenuBar Lib "user32" _
    (ByVal hwnd As Long) As Long

Private Declare Function SetMenuInfo Lib "user32" _
    (ByVal Hmenu As Long, Mi As MENUINFO) As Long

Private Declare Function OleTranslateColor Lib "olepro32.dll" _
    (ByVal OLE_COLOR As Long, ByVal HPALETTE As Long, _
    pccolorref As Long) As Long

Private Declare Function GetSystemMenu Lib "user32" _
    (ByVal hwnd As Long, ByVal bRevert As Long) As Long

Private Declare Function GetMenuItemCountA Lib "user32" Alias _
    "GetMenuItemCount" (ByVal Hmenu As Long) As Long

Private Declare Function CreateSolidBrush Lib "gdi32.dll" ( _
  ByVal crColor As Long) As Long


Private Type MENUINFO
    cbSize          As Long
    fMask           As Long
    dwStyle         As Long
    cyMax           As Long
    hbrBack         As Long
    dwContextHelpID As Long
    dwMenuData      As Long
End Type

Public Enum MenuNFO
    mMenuBarColor = 1
    mMenuColor = 2
    mSysMenuColor = 3
End Enum

Public Enum eBackgroundGradientOrientation
    Horizontal = 1
    Vertikal = 0
End Enum

Public Enum eSelectMenGradientOrientation
    Horizontal = 1
    Vertikal = 0
End Enum

Public Enum eGradientColor
    Default = 0
    Gold = 1
    Trkis = 2
    Braun = 3
    Rosa = 4
    Lila = 5
    Blau = 6
    Grn = 7
    Grn2 = 8
    Dunkelbraun = 9
    Magenta = 10
    Dunkelrosa = 11
    Orange = 12
    Benutzerdefiniert = 13
End Enum

Private Const MIM_BACKGROUND As Long = &H2&
Private Const MIM_APPLYTOSUBMENUS As Long = &H80000000

'Standard-Eigenschaftswerte:
Const m_def_BackgroundGradientOrientation = 0
Const m_def_BackColor2 = &HD0BAB2
Const m_def_BackgroundGradient = False
Const m_def_ColorGradientGC1 = 255
Const m_def_ColorGradientGC2 = 257
Const m_def_ColorGradientGC3 = 212
Const m_def_ColorGradientBC1 = 255
Const m_def_ColorGradientBC2 = 257
Const m_def_ColorGradientBC3 = 208
Const m_def_ColorGradientRC1 = 255
Const m_def_ColorGradientRC2 = 257
Const m_def_ColorGradientRC3 = 200
Const m_def_SelectGradientBorder = False
Const m_def_SelectGradientColor1 = &HFFFFFF
Const m_def_SelectGradientColor2 = &HC0C0C0
Const m_def_SelectMenGradient = False
Const m_def_SelectMenGradientOrientation = 0
Const m_def_MenPictureSize = 16
Const m_def_TransparentBackColorMenPicture = vbMagenta
Const m_def_DisabledForeColor = &HC0C0C0
Const m_def_MenSound = ""
Const m_def_TransparentRate = 254
Const m_def_ColorSeparator = 0
Const m_def_ColorGradient = 0
Const m_def_BorderWidthGradient = 25
Const m_def_BorderWidth3DLines = 1
Const m_def_Color3DMenLine1 = 0
Const m_def_Color3DMenLine2 = 0
Const m_def_MenbarColor = &H80000004
Const m_def_HeightSeparator = 3
Const m_def_HeightMen = 24
Const m_def_SelectValueEinzug = 10
Const m_def_WidhtMen = 173
Const m_def_SelectColorMenBorder = &H6A240A
Const m_def_SelectBackColor = &HD0BAB2
Const m_def_ForeColor = 0
Const m_def_SelectForeColor = 0
Const m_def_BackColor = &HFFFFFF
Const m_def_ColorMenBorder = vbWhite
Const m_def_OfficeStyle = True
Const m_def_FormhWnd = 0
'Eigenschaftsvariablen:
Dim m_BackgroundGradientOrientation As eBackgroundGradientOrientation
Dim m_BackColor2 As OLE_COLOR
Dim m_BackgroundGradient As Boolean
Dim m_ColorGradientGC1 As Integer
Dim m_ColorGradientGC2 As Integer
Dim m_ColorGradientGC3 As Integer
Dim m_ColorGradientBC1 As Integer
Dim m_ColorGradientBC2 As Integer
Dim m_ColorGradientBC3 As Integer
Dim m_ColorGradientRC1 As Integer
Dim m_ColorGradientRC2 As Integer
Dim m_ColorGradientRC3 As Integer
Dim m_SelectGradientBorder As Boolean
Dim m_SelectGradientColor1 As OLE_COLOR
Dim m_SelectGradientColor2 As OLE_COLOR
Dim m_SelectMenGradient As Boolean
Dim m_SelectMenGradientOrientation As eSelectMenGradientOrientation
Dim m_MenPictureSize As Long
Dim m_TransparentBackColorMenPicture As OLE_COLOR
Dim m_DisabledForeColor As OLE_COLOR
Dim m_MenSound As String
Dim m_TransparentRate As Byte
Dim m_ColorSeparator As OLE_COLOR
Dim m_ColorGradient As eGradientColor
Dim m_BorderWidthGradient As Long
Dim m_BorderWidth3DLines As Long
Dim m_Color3DMenLine1 As OLE_COLOR
Dim m_Color3DMenLine2 As OLE_COLOR
Dim m_MenbarColor As OLE_COLOR
Dim m_HeightSeparator As Long
Dim m_HeightMen As Long
Dim m_SelectValueEinzug As Long
Dim m_WidhtMen As Long
Dim m_SelectColorMenBorder As OLE_COLOR
Dim m_SelectBackColor As OLE_COLOR
Dim m_ForeColor As OLE_COLOR
Dim m_SelectForeColor As OLE_COLOR
Dim m_BackColor As OLE_COLOR
Dim m_ColorMenBorder As OLE_COLOR
Dim m_OfficeStyle As Boolean
Dim m_FormhWnd As Long

'********************************************************************
'Form transparent machen
'********************************************************************

'Macht nur eine Farbe transparent
'Public Const LWA_COLORKEY = &H1

'Macht das ganze Fenster transparent
Private Const LWA_ALPHA = &H2    'ganzes Formular transparent machen

Public Sub Mache_Transparent(hwnd As Long, ByVal Rate As Byte)
On Error GoTo Fehlerbehandlung

If Rate < 50 Or Rate > 254 Then Exit Sub

    '### funktioniert nur unter Windows 2000 oder XP!!!
    '### macht das Fenster, dessen hWnd bergeben wurde, transparent
    '### Rate: 254 = normal 0 = ganz transparent (also unsichtbar)
    '### 190 ist z.B. ein guter Wert
    
    Dim WinInfo As Long

    WinInfo = GetWindowLong(hwnd, GWL_EXSTYLE)

    If Rate < 255 Then
        WinInfo = WinInfo Or WS_EX_LAYERED
        SetWindowLong hwnd, GWL_EXSTYLE, WinInfo
        SetLayeredWindowAttributes hwnd, 0, Rate, LWA_ALPHA
    Else
        'Wenn als Rate 255 angegeben wird,
        'so wird der Ausgangszustand wiederhergestellt
        WinInfo = WinInfo Xor WS_EX_LAYERED
        SetWindowLong hwnd, GWL_EXSTYLE, WinInfo
    End If
Exit Sub
Fehlerbehandlung:
End Sub

'*** Dokumentation der Funktion ***
'Beschreibung
    'Frbt ein angegebenes MenuElement in eine angegebene Farbe ein.

Private Function Convert_OLEtoRBG(ByVal OLEcolor As Long) As Long
    Call OleTranslateColor(OLEcolor, 0, Convert_OLEtoRBG)
End Function

Private Function Get_MenuItemCount(ByVal hwnd As Long) As Long
    Get_MenuItemCount = GetMenuItemCountA(Get_MenuHwnd(hwnd))
End Function

Private Function Get_MenuHwnd(ByVal hwnd As Long) As Long
    Get_MenuHwnd = GetMenu(hwnd)
End Function
'*** Dokumentation der Funktion ***
'Beschreibung
    'Frbt ein angegebenes MenuElement in eine angegebene Farbe ein.

'Rckgabewert
'True wenn MenuElement erfolgreich eingefrbt wurde

'bergabewert(e)
'[SetWhat As MenuNFO]
    'mMenuBarColor
        'Frbt die MenuBar
        'MenuIndex & IncludeSubmenus kann weggelaen werden
    'mMenuColor
        'Frbt einen Menueintrag mit/ohne Untermenueintrge
    'mSysMenuColor
        'Frbt das SystemMenu
        'MenuIndex & IncludeSubmenus kann weggelaen werden
'Hwnd
    'Verweis auf das Hwnd des Menu-Owners
'Color
    'Farbe, in die eingefrbt werden soll
'Optional MenuIndex As Integer
    'Nur gltig bei mMenucolor
    'Einzufrbendes MenuElement
'Optional IncludeSubmenus As Boolean = False
    'Nur gltig bei mMenucolor
    'Wird True angegeben und hat das Menuelement eine Untermenu,
    'so wird dieses mitgefrbt.

Public Function Set_MenuColor(SetWhat As MenuNFO, _
    ByVal hwnd As Long, ByVal Color As Long, _
    Optional MenuIndex As Integer, _
    Optional IncludeSubmenus As Boolean = False) As Boolean
    
    Dim Mi As MENUINFO
    Dim clrref As Long, hSysMenu As Long, mHwnd As Long
         
    On Local Error GoTo Quit
   
    clrref = Convert_OLEtoRBG(Color)
   
    Mi.cbSize = Len(Mi)
    Mi.hbrBack = CreateSolidBrush(clrref)
    
    Select Case SetWhat
        Case mMenuBarColor
            Mi.fMask = MIM_BACKGROUND
            Call SetMenuInfo(GetMenu(hwnd), Mi)
            
        Case mMenuColor
            If MenuIndex = 0 Then
                Set_MenuColor = Set_MenuColor(mMenuBarColor, hwnd, Color)
                Exit Function
            End If
            
            If MenuIndex < 1 Or Get_MenuItemCount(hwnd) < MenuIndex Then _
                Exit Function
    
            Mi.fMask = IIf(IncludeSubmenus, _
                           MIM_BACKGROUND Or MIM_APPLYTOSUBMENUS, _
                           MIM_BACKGROUND)
            
            mHwnd = GetMenu(hwnd)
            mHwnd = GetSubMenu(mHwnd, MenuIndex - 1)
        
            Call SetMenuInfo(mHwnd, Mi)
            hwnd = mHwnd
            
        Case mSysMenuColor
            hSysMenu = GetSystemMenu(hwnd, False)
   
            Mi.fMask = MIM_BACKGROUND _
                       Or MIM_APPLYTOSUBMENUS
            
            Call SetMenuInfo(hSysMenu, Mi)
            hwnd = hSysMenu
    End Select
    
    Call DrawMenuBar(hwnd)
    Set_MenuColor = True
Quit:
End Function

Public Sub DreiD_Menue(TempForm As Object)
'Beschreibung:
'Macht aus einem Men ein 3D Men ...

'Code:
With TempForm
    .AutoRedraw = True
    .DrawWidth = BorderWidth3DLines
    .ScaleMode = 3
    .Cls
    TempForm.Line (0, 0)-Step(.ScaleWidth, 0), Color3DMenLine1
    TempForm.Line (0, BorderWidth3DLines)-Step(.ScaleWidth, 0), Color3DMenLine2
    .AutoRedraw = False
End With

'Syntax:
'DreiD_Menue [Formular]
'
'Beispiel:
'DreiD_Menue Me
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,0
Public Property Get FormhWnd() As Long
Attribute FormhWnd.VB_Description = "gibt die hWnd-Eigenschaft der entsprechenden Form zurck"
    FormhWnd = m_FormhWnd
End Property

Public Property Let FormhWnd(ByVal New_FormhWnd As Long)
    m_FormhWnd = New_FormhWnd
    PropertyChanged "FormhWnd"
End Property

'Eigenschaften fr Benutzersteuerelement initialisieren
Private Sub UserControl_InitProperties()
On Error GoTo Fehlerbehandlung

    m_FormhWnd = m_def_FormhWnd
    m_OfficeStyle = m_def_OfficeStyle
    m_ColorMenBorder = m_def_ColorMenBorder
    m_BackColor = m_def_BackColor
    m_SelectForeColor = m_def_SelectForeColor
    m_ForeColor = m_def_ForeColor
    m_SelectColorMenBorder = m_def_SelectColorMenBorder
    m_SelectBackColor = m_def_SelectBackColor
    m_WidhtMen = m_def_WidhtMen
    m_SelectValueEinzug = m_def_SelectValueEinzug
    m_HeightMen = m_def_HeightMen
    m_HeightSeparator = m_def_HeightSeparator
    m_MenbarColor = m_def_MenbarColor
    m_Color3DMenLine1 = m_def_Color3DMenLine1
    m_Color3DMenLine2 = m_def_Color3DMenLine2
    m_BorderWidth3DLines = m_def_BorderWidth3DLines
    m_BorderWidthGradient = m_def_BorderWidthGradient
    m_ColorGradient = m_def_ColorGradient
    m_ColorSeparator = m_def_ColorSeparator
    m_TransparentRate = m_def_TransparentRate
    m_MenSound = m_def_MenSound
    m_DisabledForeColor = m_def_DisabledForeColor
    m_TransparentBackColorMenPicture = m_def_TransparentBackColorMenPicture
    m_MenPictureSize = m_def_MenPictureSize
    m_SelectMenGradient = m_def_SelectMenGradient
    m_SelectMenGradientOrientation = m_def_SelectMenGradientOrientation
    m_SelectGradientColor1 = m_def_SelectGradientColor1
    m_SelectGradientColor2 = m_def_SelectGradientColor2
    m_SelectGradientBorder = m_def_SelectGradientBorder
    m_ColorGradientRC1 = m_def_ColorGradientRC1
    m_ColorGradientRC2 = m_def_ColorGradientRC2
    m_ColorGradientRC3 = m_def_ColorGradientRC3
    m_ColorGradientGC1 = m_def_ColorGradientGC1
    m_ColorGradientGC2 = m_def_ColorGradientGC2
    m_ColorGradientGC3 = m_def_ColorGradientGC3
    m_ColorGradientBC1 = m_def_ColorGradientBC1
    m_ColorGradientBC2 = m_def_ColorGradientBC2
    m_ColorGradientBC3 = m_def_ColorGradientBC3
    m_BackgroundGradient = m_def_BackgroundGradient
    m_BackColor2 = m_def_BackColor2
    m_BackgroundGradientOrientation = m_def_BackgroundGradientOrientation

Exit Sub
Fehlerbehandlung:
'MsgBox Err.Description, vbCritical
End Sub
'
'Private Sub UserControl_Paint()
'With UserControl
'    .Cls
'    Print .Name
'End With
'End Sub

'Eigenschaftenwerte vom Speicher laden
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
On Error GoTo Fehlerbehandlung

    m_FormhWnd = PropBag.ReadProperty("FormhWnd", m_def_FormhWnd)
    m_OfficeStyle = PropBag.ReadProperty("OfficeStyle", m_def_OfficeStyle)
    m_ColorMenBorder = PropBag.ReadProperty("ColorMenBorder", m_def_ColorMenBorder)
    m_BackColor = PropBag.ReadProperty("BackColor", m_def_BackColor)
    m_SelectForeColor = PropBag.ReadProperty("SelectForeColor", m_def_SelectForeColor)
    m_ForeColor = PropBag.ReadProperty("ForeColor", m_def_ForeColor)
    m_SelectColorMenBorder = PropBag.ReadProperty("SelectColorMenBorder", m_def_SelectColorMenBorder)
    m_SelectBackColor = PropBag.ReadProperty("SelectBackColor", m_def_SelectBackColor)
    m_WidhtMen = PropBag.ReadProperty("WidhtMen", m_def_WidhtMen)
    m_SelectValueEinzug = PropBag.ReadProperty("SelectValueEinzug", m_def_SelectValueEinzug)
    m_HeightMen = PropBag.ReadProperty("HeightMen", m_def_HeightMen)
    m_HeightSeparator = PropBag.ReadProperty("HeightSeparator", m_def_HeightSeparator)
    m_MenbarColor = PropBag.ReadProperty("MenbarColor", m_def_MenbarColor)
    m_Color3DMenLine1 = PropBag.ReadProperty("Color3DMenLine1", m_def_Color3DMenLine1)
    m_Color3DMenLine2 = PropBag.ReadProperty("Color3DMenLine2", m_def_Color3DMenLine2)
    m_BorderWidth3DLines = PropBag.ReadProperty("BorderWidth3DLines", m_def_BorderWidth3DLines)
    m_BorderWidthGradient = PropBag.ReadProperty("BorderWidthGradient", m_def_BorderWidthGradient)
    m_ColorGradient = PropBag.ReadProperty("ColorGradient", m_def_ColorGradient)
    m_ColorSeparator = PropBag.ReadProperty("ColorSeparator", m_def_ColorSeparator)
    m_TransparentRate = PropBag.ReadProperty("TransparentRate", m_def_TransparentRate)
    m_MenSound = PropBag.ReadProperty("MenSound", m_def_MenSound)
    m_DisabledForeColor = PropBag.ReadProperty("DisabledForeColor", m_def_DisabledForeColor)
    m_TransparentBackColorMenPicture = PropBag.ReadProperty("TransparentBackColorMenPicture", m_def_TransparentBackColorMenPicture)
    m_MenPictureSize = PropBag.ReadProperty("MenPictureSize", m_def_MenPictureSize)
    m_SelectMenGradient = PropBag.ReadProperty("SelectMenGradient", m_def_SelectMenGradient)
    m_SelectMenGradientOrientation = PropBag.ReadProperty("SelectMenGradientOrientation", m_def_SelectMenGradientOrientation)
    m_SelectGradientColor1 = PropBag.ReadProperty("SelectGradientColor1", m_def_SelectGradientColor1)
    m_SelectGradientColor2 = PropBag.ReadProperty("SelectGradientColor2", m_def_SelectGradientColor2)
    m_SelectGradientBorder = PropBag.ReadProperty("SelectGradientBorder", m_def_SelectGradientBorder)
    m_ColorGradientRC1 = PropBag.ReadProperty("ColorGradientRC1", m_def_ColorGradientRC1)
    m_ColorGradientRC2 = PropBag.ReadProperty("ColorGradientRC2", m_def_ColorGradientRC2)
    m_ColorGradientRC3 = PropBag.ReadProperty("ColorGradientRC3", m_def_ColorGradientRC3)
    m_ColorGradientGC1 = PropBag.ReadProperty("ColorGradientGC1", m_def_ColorGradientGC1)
    m_ColorGradientGC2 = PropBag.ReadProperty("ColorGradientGC2", m_def_ColorGradientGC2)
    m_ColorGradientGC3 = PropBag.ReadProperty("ColorGradientGC3", m_def_ColorGradientGC3)
    m_ColorGradientBC1 = PropBag.ReadProperty("ColorGradientBC1", m_def_ColorGradientBC1)
    m_ColorGradientBC2 = PropBag.ReadProperty("ColorGradientBC2", m_def_ColorGradientBC2)
    m_ColorGradientBC3 = PropBag.ReadProperty("ColorGradientBC3", m_def_ColorGradientBC3)
    m_BackgroundGradient = PropBag.ReadProperty("BackgroundGradient", m_def_BackgroundGradient)
    m_BackColor2 = PropBag.ReadProperty("BackColor2", m_def_BackColor2)
    m_BackgroundGradientOrientation = PropBag.ReadProperty("BackgroundGradientOrientation", m_def_BackgroundGradientOrientation)
    
    lMenbreite = m_WidhtMen
    lMenhhe = m_HeightMen
    lMenBorderColor = CLng(m_ColorMenBorder)
    lBackColor = CLng(m_BackColor)
    lBackColor2 = m_BackColor2
    lBorderWidthGradient = m_BorderWidthGradient
    lSeparatorHhe = m_HeightSeparator
    lForeColor = CLng(m_ForeColor)
    lSelectTextEinzug = m_SelectValueEinzug
    lSelectForeColor = CLng(m_SelectForeColor)
    lSelectBackColor = CLng(m_SelectBackColor)
    lSelectBorderColor = CLng(m_SelectColorMenBorder)
    lColorSeparator = CLng(m_ColorSeparator)
    PfadSound = m_MenSound
    lDisabledForeColor = CLng(m_DisabledForeColor)
    lTransparentBackColorMenPicture = CLng(m_TransparentBackColorMenPicture)
    lMenPictureSize = m_MenPictureSize
    bSelectMenGradient = m_SelectMenGradient
    bSelectGradientBorder = m_SelectGradientBorder
    eBackgroundOrientation = m_BackgroundGradientOrientation
    eSelectGradientOrientation = m_SelectMenGradientOrientation
    oleGradientColor1 = m_SelectGradientColor1
    oleGradientColor2 = m_SelectGradientColor2
    bBackgroundGradient = m_BackgroundGradient
    'die sichtbarkeit der Form garantieren
    If m_TransparentRate < 50 Or m_TransparentRate > 254 Then _
    m_TransparentRate = 254

    Select Case m_ColorGradient
        Case 0  'default Grau
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 255
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 1  'Gold
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 255
            gc2 = 257
            gc3 = 208
            
            bc1 = 215
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 2  'Trkis
            rc1 = 215
            rc2 = 257
            rc3 = 212
            
            gc1 = 255
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 3  'Braun
            rc1 = 244
            rc2 = 235
            rc3 = 177
            
            gc1 = 185
            gc2 = 260
            gc3 = 210
            
            bc1 = 95
            bc2 = 210
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 4  'Rosa
            rc1 = 255
            rc2 = 280
            rc3 = 255
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 5  'Lila
            rc1 = 201
            rc2 = 177
            rc3 = 135
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 6  'Blau
            rc1 = 255
            rc2 = 177
            rc3 = 212
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 7  'Grn
            rc1 = 255
            rc2 = 177
            rc3 = 212
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 40
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 8  'Grn2
            rc1 = 190
            rc2 = 180
            rc3 = 135
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 40
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 9  'Dunkelbraun
            rc1 = 190
            rc2 = 228
            rc3 = 190
            
            gc1 = 172
            gc2 = 265
            gc3 = 208
            
            bc1 = 40
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 10  'Magenta
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 150
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 11  'Dunkelrosa
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 202
            gc2 = 257
            gc3 = 208
            
            bc1 = 215
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 12  'Orange
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 202
            gc2 = 257
            gc3 = 208
            
            bc1 = 88
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 13 'Benutzerdefiniert
    
            rc1 = m_ColorGradientRC1
            rc2 = m_ColorGradientRC2
            rc3 = m_ColorGradientRC3
            gc1 = m_ColorGradientGC1
            gc2 = m_ColorGradientGC2
            gc3 = m_ColorGradientGC3
            bc1 = m_ColorGradientBC1
            bc2 = m_ColorGradientBC2
            bc3 = m_ColorGradientBC3
            
    End Select

Exit Sub
Fehlerbehandlung:
'MsgBox Err.Description, vbExclamation
End Sub

Private Sub UserControl_Resize()
On Error Resume Next
    With UserControl
        If .Height <> .imgLogo.Height Then
            .Height = .imgLogo.Height
        End If
        
        If .Width <> .imgLogo.Width Then
            .Width = .imgLogo.Width
        End If
    End With
End Sub

Private Sub UserControl_Terminate()
    DelProc FormhWnd
End Sub

'Eigenschaftenwerte in den Speicher schreiben
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
On Error GoTo Fehlerbehandlung
    On Error Resume Next
    
    Call PropBag.WriteProperty("FormhWnd", m_FormhWnd, m_def_FormhWnd)
    Call PropBag.WriteProperty("OfficeStyle", m_OfficeStyle, m_def_OfficeStyle)
    Call PropBag.WriteProperty("ColorMenBorder", m_ColorMenBorder, m_def_ColorMenBorder)
    Call PropBag.WriteProperty("BackColor", m_BackColor, m_def_BackColor)
    Call PropBag.WriteProperty("SelectForeColor", m_SelectForeColor, m_def_SelectForeColor)
    Call PropBag.WriteProperty("ForeColor", m_ForeColor, m_def_ForeColor)
    Call PropBag.WriteProperty("SelectColorMenBorder", m_SelectColorMenBorder, m_def_SelectColorMenBorder)
    Call PropBag.WriteProperty("SelectBackColor", m_SelectBackColor, m_def_SelectBackColor)
    Call PropBag.WriteProperty("WidhtMen", m_WidhtMen, m_def_WidhtMen)
    Call PropBag.WriteProperty("SelectValueEinzug", m_SelectValueEinzug, m_def_SelectValueEinzug)
    Call PropBag.WriteProperty("HeightMen", m_HeightMen, m_def_HeightMen)
    Call PropBag.WriteProperty("HeightSeparator", m_HeightSeparator, m_def_HeightSeparator)
    Call PropBag.WriteProperty("MenbarColor", m_MenbarColor, m_def_MenbarColor)
    Call PropBag.WriteProperty("Color3DMenLine1", m_Color3DMenLine1, m_def_Color3DMenLine1)
    Call PropBag.WriteProperty("Color3DMenLine2", m_Color3DMenLine2, m_def_Color3DMenLine2)
    Call PropBag.WriteProperty("BorderWidth3DLines", m_BorderWidth3DLines, m_def_BorderWidth3DLines)
    Call PropBag.WriteProperty("BorderWidthGradient", m_BorderWidthGradient, m_def_BorderWidthGradient)
    Call PropBag.WriteProperty("ColorGradient", m_ColorGradient, m_def_ColorGradient)
    Call PropBag.WriteProperty("ColorSeparator", m_ColorSeparator, m_def_ColorSeparator)
    Call PropBag.WriteProperty("TransparentRate", m_TransparentRate, m_def_TransparentRate)
    Call PropBag.WriteProperty("MenSound", m_MenSound, m_def_MenSound)
    Call PropBag.WriteProperty("DisabledForeColor", m_DisabledForeColor, m_def_DisabledForeColor)
    Call PropBag.WriteProperty("TransparentBackColorMenPicture", m_TransparentBackColorMenPicture, m_def_TransparentBackColorMenPicture)
    Call PropBag.WriteProperty("MenPictureSize", m_MenPictureSize, m_def_MenPictureSize)
    Call PropBag.WriteProperty("SelectMenGradient", m_SelectMenGradient, m_def_SelectMenGradient)
    Call PropBag.WriteProperty("SelectMenGradientOrientation", m_SelectMenGradientOrientation, m_def_SelectMenGradientOrientation)
    Call PropBag.WriteProperty("SelectGradientColor1", m_SelectGradientColor1, m_def_SelectGradientColor1)
    Call PropBag.WriteProperty("SelectGradientColor2", m_SelectGradientColor2, m_def_SelectGradientColor2)
    Call PropBag.WriteProperty("SelectGradientBorder", m_SelectGradientBorder, m_def_SelectGradientBorder)
    Call PropBag.WriteProperty("ColorGradientRC1", m_ColorGradientRC1, m_def_ColorGradientRC1)
    Call PropBag.WriteProperty("ColorGradientRC2", m_ColorGradientRC2, m_def_ColorGradientRC2)
    Call PropBag.WriteProperty("ColorGradientRC3", m_ColorGradientRC3, m_def_ColorGradientRC3)
    Call PropBag.WriteProperty("ColorGradientGC1", m_ColorGradientGC1, m_def_ColorGradientGC1)
    Call PropBag.WriteProperty("ColorGradientGC2", m_ColorGradientGC2, m_def_ColorGradientGC2)
    Call PropBag.WriteProperty("ColorGradientGC3", m_ColorGradientGC3, m_def_ColorGradientGC3)
    Call PropBag.WriteProperty("ColorGradientBC1", m_ColorGradientBC1, m_def_ColorGradientBC1)
    Call PropBag.WriteProperty("ColorGradientBC2", m_ColorGradientBC2, m_def_ColorGradientBC2)
    Call PropBag.WriteProperty("ColorGradientBC3", m_ColorGradientBC3, m_def_ColorGradientBC3)
    Call PropBag.WriteProperty("BackgroundGradient", m_BackgroundGradient, m_def_BackgroundGradient)
    Call PropBag.WriteProperty("BackColor2", m_BackColor2, m_def_BackColor2)
    Call PropBag.WriteProperty("BackgroundGradientOrientation", m_BackgroundGradientOrientation, m_def_BackgroundGradientOrientation)

Exit Sub
Fehlerbehandlung:
'MsgBox Err.Description, vbExclamation
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,True
Public Property Get OfficeStyle() As Boolean
Attribute OfficeStyle.VB_Description = "gibt an ob ein OfficeStyle verwendet werden soll oder legt ihn fest"
    OfficeStyle = m_OfficeStyle
End Property

Public Property Let OfficeStyle(ByVal New_OfficeStyle As Boolean)
    m_OfficeStyle = New_OfficeStyle
        SetProc (FormhWnd)

    MakeMenuOfficeStyle (FormhWnd)
    PropertyChanged "OfficeStyle"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,vbwhite
Public Property Get ColorMenBorder() As OLE_COLOR
Attribute ColorMenBorder.VB_Description = "gibt die Farbe des Menrands zurck oder legt sie fest"
    ColorMenBorder = m_ColorMenBorder
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_ColorMenBorder And &HFF000000) = &H80000000 Then _
    m_ColorMenBorder = GetSysColor(m_ColorMenBorder And &HFFFFFF)
    
    lMenBorderColor = CLng(m_ColorMenBorder)
End Property

Public Property Let ColorMenBorder(ByVal New_ColorMenBorder As OLE_COLOR)
    m_ColorMenBorder = New_ColorMenBorder
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_ColorMenBorder And &HFF000000) = &H80000000 Then _
    m_ColorMenBorder = GetSysColor(m_ColorMenBorder And &HFFFFFF)
    
    lMenBorderColor = CLng(m_ColorMenBorder)
    PropertyChanged "ColorMenBorder"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&HFFFFFF
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "gibt die Hintergrundfarbe des Mens zurck oder legt sie fest"
    BackColor = m_BackColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_BackColor And &HFF000000) = &H80000000 Then _
    m_BackColor = GetSysColor(m_BackColor And &HFFFFFF)
    
    lBackColor = CLng(m_BackColor)
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    m_BackColor = New_BackColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_BackColor And &HFF000000) = &H80000000 Then _
    m_BackColor = GetSysColor(m_BackColor And &HFFFFFF)
    
    lBackColor = CLng(m_BackColor)
    PropertyChanged "BackColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get SelectForeColor() As OLE_COLOR
Attribute SelectForeColor.VB_Description = "gibt die Textfarbe zurck oder legt sie fest wenn sich die Maus ber dem Men befindet"
    SelectForeColor = m_SelectForeColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectForeColor And &HFF000000) = &H80000000 Then _
    m_SelectForeColor = GetSysColor(m_SelectForeColor And &HFFFFFF)
    
    lSelectForeColor = CLng(m_SelectForeColor)
End Property

Public Property Let SelectForeColor(ByVal New_SelectForeColor As OLE_COLOR)
    m_SelectForeColor = New_SelectForeColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectForeColor And &HFF000000) = &H80000000 Then _
    m_SelectForeColor = GetSysColor(m_SelectForeColor And &HFFFFFF)
    
    lSelectForeColor = CLng(m_SelectForeColor)
    PropertyChanged "SelectForeColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Gibt die Vordergrundfarbe zurck, die zum Anzeigen von Text und Grafiken in einem Objekt verwendet wird, oder legt diese fest."
    ForeColor = m_ForeColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_ForeColor And &HFF000000) = &H80000000 Then _
    m_ForeColor = GetSysColor(m_ForeColor And &HFFFFFF)
    
    lForeColor = CLng(m_ForeColor)
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    m_ForeColor = New_ForeColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_ForeColor And &HFF000000) = &H80000000 Then _
    m_ForeColor = GetSysColor(m_ForeColor And &HFFFFFF)
    
    lForeColor = CLng(m_ForeColor)
    PropertyChanged "ForeColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get SelectColorMenBorder() As OLE_COLOR
Attribute SelectColorMenBorder.VB_Description = "gibt die Menrandfarbe zurck oder legt sie fest wenn sich die Maus ber dem Men befindet"
    SelectColorMenBorder = m_SelectColorMenBorder
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectColorMenBorder And &HFF000000) = &H80000000 Then _
    m_SelectColorMenBorder = GetSysColor(m_SelectColorMenBorder And &HFFFFFF)
    
    lSelectBorderColor = CLng(m_SelectColorMenBorder)
End Property

Public Property Let SelectColorMenBorder(ByVal New_SelectColorMenBorder As OLE_COLOR)
    m_SelectColorMenBorder = New_SelectColorMenBorder
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectColorMenBorder And &HFF000000) = &H80000000 Then _
    m_SelectColorMenBorder = GetSysColor(m_SelectColorMenBorder And &HFFFFFF)
    
    lSelectBorderColor = CLng(m_SelectColorMenBorder)
    PropertyChanged "SelectColorMenBorder"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get SelectBackColor() As OLE_COLOR
Attribute SelectBackColor.VB_Description = "gibt die Hintergrundfarbe zurck oder legt sie fest wenn sich die Maus ber dem Men befindet"
    SelectBackColor = m_SelectBackColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectBackColor And &HFF000000) = &H80000000 Then _
    m_SelectBackColor = GetSysColor(m_SelectBackColor And &HFFFFFF)
    
    lSelectBackColor = CLng(m_SelectBackColor)
End Property

Public Property Let SelectBackColor(ByVal New_SelectBackColor As OLE_COLOR)
    m_SelectBackColor = New_SelectBackColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectBackColor And &HFF000000) = &H80000000 Then _
    m_SelectBackColor = GetSysColor(m_SelectBackColor And &HFFFFFF)
    
    lSelectBackColor = CLng(m_SelectBackColor)
    PropertyChanged "SelectBackColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,173
Public Property Get WidhtMen() As Long
Attribute WidhtMen.VB_Description = "gibt die Menbreite zurck oder legt sie fest"
    WidhtMen = m_WidhtMen
    lMenbreite = m_WidhtMen
End Property

Public Property Let WidhtMen(ByVal New_WidhtMen As Long)
    If New_WidhtMen < 100 Then Exit Property
    m_WidhtMen = New_WidhtMen
    lMenbreite = m_WidhtMen
    PropertyChanged "WidhtMen"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,34
Public Property Get SelectValueEinzug() As Long
Attribute SelectValueEinzug.VB_Description = "gibt zurck oder legt sie fest um wieviel der Mentext eingerckt wird wenn sich die Maus ber dem Men befindet"
    SelectValueEinzug = m_SelectValueEinzug
    lSelectTextEinzug = m_SelectValueEinzug
End Property

Public Property Let SelectValueEinzug(ByVal New_SelectValueEinzug As Long)
    If New_SelectValueEinzug < 0 Then Exit Property
    m_SelectValueEinzug = New_SelectValueEinzug
    lSelectTextEinzug = m_SelectValueEinzug
    PropertyChanged "SelectValueEinzug"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,24
Public Property Get HeightMen() As Long
Attribute HeightMen.VB_Description = "gibt die Menhhe zurck oder legt sie fest"
    HeightMen = m_HeightMen
    lMenhhe = m_HeightMen
End Property

Public Property Let HeightMen(ByVal New_HeightMen As Long)
    If New_HeightMen < 24 Then Exit Property
    m_HeightMen = New_HeightMen
    lMenhhe = m_HeightMen
    PropertyChanged "HeightMen"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,3
Public Property Get HeightSeparator() As Long
Attribute HeightSeparator.VB_Description = "gibt die Separatorhhe zurck oder legt sie fest"
    HeightSeparator = m_HeightSeparator
    lSeparatorHhe = m_HeightSeparator
End Property

Public Property Let HeightSeparator(ByVal New_HeightSeparator As Long)
    If New_HeightSeparator < 3 Then Exit Property
    m_HeightSeparator = New_HeightSeparator
    lSeparatorHhe = m_HeightSeparator
    PropertyChanged "HeightSeparator"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&HFFFFC0
Public Property Get MenbarColor() As OLE_COLOR
Attribute MenbarColor.VB_Description = "gibt die Menbarfarbe zurck oder legt sie fest"
    MenbarColor = m_MenbarColor
End Property

Public Property Let MenbarColor(ByVal New_MenbarColor As OLE_COLOR)
    m_MenbarColor = New_MenbarColor
    PropertyChanged "MenbarColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get Color3DMenLine1() As OLE_COLOR
Attribute Color3DMenLine1.VB_Description = "gibt die 1. Farbe der 3D-Linie zurck oder legt sie fest"
    Color3DMenLine1 = m_Color3DMenLine1
End Property

Public Property Let Color3DMenLine1(ByVal New_Color3DMenLine1 As OLE_COLOR)
    m_Color3DMenLine1 = New_Color3DMenLine1
    PropertyChanged "Color3DMenLine1"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get Color3DMenLine2() As OLE_COLOR
Attribute Color3DMenLine2.VB_Description = "gibt die 2. Farbe der 3D-Linie zurck oder legt sie fest"
    Color3DMenLine2 = m_Color3DMenLine2
End Property

Public Property Let Color3DMenLine2(ByVal New_Color3DMenLine2 As OLE_COLOR)
    m_Color3DMenLine2 = New_Color3DMenLine2
    PropertyChanged "Color3DMenLine2"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,1
Public Property Get BorderWidth3DLines() As Long
Attribute BorderWidth3DLines.VB_Description = "gibt die Breite des Steuerelementrahmens zurck oder legt sie fest"
    BorderWidth3DLines = m_BorderWidth3DLines
End Property

Public Property Let BorderWidth3DLines(ByVal New_BorderWidth3DLines As Long)
    If New_BorderWidth3DLines < 1 Then Exit Property
    m_BorderWidth3DLines = New_BorderWidth3DLines
    PropertyChanged "BorderWidth3DLines"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,25
Public Property Get BorderWidthGradient() As Long
Attribute BorderWidthGradient.VB_Description = "gibt die Breite des Gradients zurck oder legt sie fest"
    BorderWidthGradient = m_BorderWidthGradient
    lBorderWidthGradient = m_BorderWidthGradient
End Property

Public Property Let BorderWidthGradient(ByVal New_BorderWidthGradient As Long)
    If New_BorderWidthGradient < 10 Then Exit Property
    m_BorderWidthGradient = New_BorderWidthGradient
    lBorderWidthGradient = m_BorderWidthGradient
    PropertyChanged "BorderWidthGradient"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,0
Public Property Get ColorGradient() As eGradientColor
Attribute ColorGradient.VB_Description = "gibt die Farbe des Gradients zurck oder legt sie fest"
    ColorGradient = m_ColorGradient
End Property

Public Property Let ColorGradient(ByVal New_ColorGradient As eGradientColor)
    m_ColorGradient = New_ColorGradient
    
    Select Case m_ColorGradient
        Case 0  'default Grau
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 255
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 1  'Ocker
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 255
            gc2 = 257
            gc3 = 208
            
            bc1 = 215
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 2  'Trkis
            rc1 = 215
            rc2 = 257
            rc3 = 212
            
            gc1 = 255
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 3  'Braun
            rc1 = 244
            rc2 = 235
            rc3 = 177
            
            gc1 = 185
            gc2 = 260
            gc3 = 210
            
            bc1 = 95
            bc2 = 210
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 4  'Rosa
            rc1 = 255
            rc2 = 280
            rc3 = 255
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 5  'Lila
            rc1 = 201
            rc2 = 177
            rc3 = 135
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 6  'Blau
            rc1 = 255
            rc2 = 177
            rc3 = 212
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 7  'Grn
            rc1 = 255
            rc2 = 177
            rc3 = 212
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 40
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 8  'Grn2
            rc1 = 190
            rc2 = 180
            rc3 = 135
            
            gc1 = 200
            gc2 = 257
            gc3 = 208
            
            bc1 = 40
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 9  'Dunkelbraun
            rc1 = 190
            rc2 = 228
            rc3 = 190
            
            gc1 = 172
            gc2 = 265
            gc3 = 208
            
            bc1 = 40
            bc2 = 257
            bc3 = 230
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 10  'Magenta
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 150
            gc2 = 257
            gc3 = 208
            
            bc1 = 255
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 11  'Dunkelrosa
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 202
            gc2 = 257
            gc3 = 208
            
            bc1 = 215
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 12  'Orange
            rc1 = 255
            rc2 = 257
            rc3 = 212
            
            gc1 = 202
            gc2 = 257
            gc3 = 208
            
            bc1 = 88
            bc2 = 257
            bc3 = 200
    
            m_ColorGradientRC1 = rc1
            m_ColorGradientRC2 = rc2
            m_ColorGradientRC3 = rc3
            m_ColorGradientGC1 = gc1
            m_ColorGradientGC2 = gc2
            m_ColorGradientGC3 = gc3
            m_ColorGradientBC1 = bc1
            m_ColorGradientBC2 = bc2
            m_ColorGradientBC3 = bc3
            
        Case 13 'Benutzerdefiniert
    
            rc1 = m_ColorGradientRC1
            rc2 = m_ColorGradientRC2
            rc3 = m_ColorGradientRC3
            gc1 = m_ColorGradientGC1
            gc2 = m_ColorGradientGC2
            gc3 = m_ColorGradientGC3
            bc1 = m_ColorGradientBC1
            bc2 = m_ColorGradientBC2
            bc3 = m_ColorGradientBC3
            
    End Select

    PropertyChanged "ColorGradient"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,0
Public Property Get ColorSeparator() As OLE_COLOR
Attribute ColorSeparator.VB_Description = "gibt die Farbe des Menseparators zurck oder legt sie fest"
    ColorSeparator = m_ColorSeparator
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_ColorSeparator And &HFF000000) = &H80000000 Then _
    m_ColorSeparator = GetSysColor(m_ColorSeparator And &HFFFFFF)
    
    lColorSeparator = CLng(m_ColorSeparator)
End Property

Public Property Let ColorSeparator(ByVal New_ColorSeparator As OLE_COLOR)
    m_ColorSeparator = New_ColorSeparator
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_ColorSeparator And &HFF000000) = &H80000000 Then _
    m_ColorSeparator = GetSysColor(m_ColorSeparator And &HFFFFFF)
    
    lColorSeparator = CLng(m_ColorSeparator)
    PropertyChanged "ColorSeparator"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,254
Public Property Get TransparentRate() As Byte
Attribute TransparentRate.VB_Description = "gibt den Grad der Transparents der entspechendenden Form zurck oder legt sie fest (0 = unsichtbar, 254 = voll sichtbar)"
    TransparentRate = m_TransparentRate
End Property

Public Property Let TransparentRate(ByVal New_TransparentRate As Byte)
If New_TransparentRate < 50 Or New_TransparentRate > 254 Then Exit Property
    m_TransparentRate = New_TransparentRate
    PropertyChanged "TransparentRate"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=13,0,0,
Public Property Get MenSound() As String
Attribute MenSound.VB_Description = "gibt den Sound zurck der abgespielt werden soll wenn sich die Maus ber dem Men bewegt"
    MenSound = m_MenSound
    PfadSound = m_MenSound
End Property

Public Property Let MenSound(ByVal New_MenSound As String)
    m_MenSound = New_MenSound
    PfadSound = m_MenSound
    PropertyChanged "MenSound"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H80000011&
Public Property Get DisabledForeColor() As OLE_COLOR
Attribute DisabledForeColor.VB_Description = "Gibt die Vordergrundfarbe zurck, die zum Anzeigen von Text und Grafiken in einem Objekt verwendet wird, oder legt diese fest."
    DisabledForeColor = m_DisabledForeColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_DisabledForeColor And &HFF000000) = &H80000000 Then _
    m_DisabledForeColor = GetSysColor(m_DisabledForeColor And &HFFFFFF)
    
    lDisabledForeColor = CLng(m_DisabledForeColor)
End Property

Public Property Let DisabledForeColor(ByVal New_DisabledForeColor As OLE_COLOR)
    m_DisabledForeColor = New_DisabledForeColor
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_DisabledForeColor And &HFF000000) = &H80000000 Then _
    m_DisabledForeColor = GetSysColor(m_DisabledForeColor And &HFFFFFF)
    
    lDisabledForeColor = CLng(m_DisabledForeColor)
    PropertyChanged "DisabledForeColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=UserControl,UserControl,-1,hWnd
Public Property Get hwnd() As Long
Attribute hwnd.VB_Description = "Gibt eine Zugriffsnummer (von Microsoft Windows) auf ein Objektfenster zurck."
    hwnd = UserControl.hwnd
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=UserControl,UserControl,-1,hDC
Public Property Get hDC() As Long
Attribute hDC.VB_Description = "Gibt eine Zugriffsnummer (von Microsoft Windows) fr den Gertekontext des Objekts zurck."
    hDC = UserControl.hDC
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=5
Public Function SetMenuItemPicture(ByVal MenuID As Long, Optional ByVal Unchecked As Long = 0, Optional ByVal Checked As Long = 0) As Long
  Dim lngTmp As Long, lngEntry As Long
  
  lngEntry = FindMenuHandle(menuhandle, MenuID)
  
  SetMenuItemPicture = SetMenuItemBitmaps(menuhandle, lngEntry, 0, Unchecked, Checked)
End Function

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,vbmagenta
Public Property Get TransparentBackColorMenPicture() As OLE_COLOR
Attribute TransparentBackColorMenPicture.VB_Description = "gibt die transparente Hintergrundfarbe fr MenPictures zurck oder legt sie fest"
    TransparentBackColorMenPicture = m_TransparentBackColorMenPicture
    lTransparentBackColorMenPicture = CLng(m_TransparentBackColorMenPicture)
End Property

Public Property Let TransparentBackColorMenPicture(ByVal New_TransparentBackColorMenPicture As OLE_COLOR)
    m_TransparentBackColorMenPicture = New_TransparentBackColorMenPicture
    lTransparentBackColorMenPicture = CLng(New_TransparentBackColorMenPicture)
    PropertyChanged "TransparentBackColorMenPicture"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,16
Public Property Get MenPictureSize() As Long
Attribute MenPictureSize.VB_Description = "gibt die gre des Menpictures zurck oder legt sie fest"
    MenPictureSize = m_MenPictureSize
    lMenPictureSize = m_MenPictureSize
End Property

Public Property Let MenPictureSize(ByVal New_MenPictureSize As Long)
    m_MenPictureSize = New_MenPictureSize
    lMenPictureSize = New_MenPictureSize
    PropertyChanged "MenPictureSize"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,False
Public Property Get SelectMenGradient() As Boolean
Attribute SelectMenGradient.VB_Description = "legt fest ob ein Gradientverlauf angezeigt werden soll wenn sich die Maus ber dem Men bewegt"
    SelectMenGradient = m_SelectMenGradient
    bSelectMenGradient = m_SelectMenGradient
End Property

Public Property Let SelectMenGradient(ByVal New_SelectMenGradient As Boolean)
    m_SelectMenGradient = New_SelectMenGradient
    bSelectMenGradient = m_SelectMenGradient
    PropertyChanged "SelectMenGradient"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,1
Public Property Get SelectMenGradientOrientation() As eSelectMenGradientOrientation
Attribute SelectMenGradientOrientation.VB_Description = "gibt die Ausrichtung des Gradients zurck oder legt sie fest"
    SelectMenGradientOrientation = m_SelectMenGradientOrientation
    eSelectGradientOrientation = m_SelectMenGradientOrientation
End Property

Public Property Let SelectMenGradientOrientation(ByVal New_SelectMenGradientOrientation As eSelectMenGradientOrientation)
    m_SelectMenGradientOrientation = New_SelectMenGradientOrientation
    eSelectGradientOrientation = m_SelectMenGradientOrientation
    PropertyChanged "SelectMenGradientOrientation"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&HFFFFFF
Public Property Get SelectGradientColor1() As OLE_COLOR
Attribute SelectGradientColor1.VB_Description = "gibt die 1. Gradientfarbe des Gradientverlaufs zurck oder legt sie fest"
    SelectGradientColor1 = m_SelectGradientColor1
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectGradientColor1 And &HFF000000) = &H80000000 Then _
    m_SelectGradientColor1 = GetSysColor(m_SelectGradientColor1 And &HFFFFFF)
    
    oleGradientColor1 = m_SelectGradientColor1
End Property

Public Property Let SelectGradientColor1(ByVal New_SelectGradientColor1 As OLE_COLOR)
    m_SelectGradientColor1 = New_SelectGradientColor1
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectGradientColor1 And &HFF000000) = &H80000000 Then _
    m_SelectGradientColor1 = GetSysColor(m_SelectGradientColor1 And &HFFFFFF)
    
    oleGradientColor1 = m_SelectGradientColor1
    PropertyChanged "SelectGradientColor1"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&HC0C0C0
Public Property Get SelectGradientColor2() As OLE_COLOR
Attribute SelectGradientColor2.VB_Description = "gibt die 2. Gradientfarbe des Gradientverlaufs zurck oder legt sie fest"
    SelectGradientColor2 = m_SelectGradientColor2
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectGradientColor2 And &HFF000000) = &H80000000 Then _
    m_SelectGradientColor2 = GetSysColor(m_SelectGradientColor2 And &HFFFFFF)
    
    oleGradientColor2 = m_SelectGradientColor2
End Property

Public Property Let SelectGradientColor2(ByVal New_SelectGradientColor2 As OLE_COLOR)
    m_SelectGradientColor2 = New_SelectGradientColor2
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_SelectGradientColor2 And &HFF000000) = &H80000000 Then _
    m_SelectGradientColor2 = GetSysColor(m_SelectGradientColor2 And &HFFFFFF)
    
    oleGradientColor2 = m_SelectGradientColor2
    PropertyChanged "SelectGradientColor2"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,False
Public Property Get SelectGradientBorder() As Boolean
Attribute SelectGradientBorder.VB_Description = "zeigt an oder legt fest ob ein Rahmen angezeigt werden soll"
    SelectGradientBorder = m_SelectGradientBorder
    bSelectGradientBorder = m_SelectGradientBorder
End Property

Public Property Let SelectGradientBorder(ByVal New_SelectGradientBorder As Boolean)
    m_SelectGradientBorder = New_SelectGradientBorder
    bSelectGradientBorder = m_SelectGradientBorder
    PropertyChanged "SelectGradientBorder"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientRC1() As Integer
Attribute ColorGradientRC1.VB_Description = "gibt den 1. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientRC1 = m_ColorGradientRC1
    rc1 = m_ColorGradientRC1
End Property

Public Property Let ColorGradientRC1(ByVal New_ColorGradientRC1 As Integer)
    m_ColorGradientRC1 = New_ColorGradientRC1
    rc1 = m_ColorGradientRC1
    PropertyChanged "ColorGradientRC1"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientRC2() As Integer
Attribute ColorGradientRC2.VB_Description = "gibt den 2. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientRC2 = m_ColorGradientRC2
    rc2 = m_ColorGradientRC2
End Property

Public Property Let ColorGradientRC2(ByVal New_ColorGradientRC2 As Integer)
    m_ColorGradientRC2 = New_ColorGradientRC2
    rc2 = m_ColorGradientRC2
    PropertyChanged "ColorGradientRC2"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientRC3() As Integer
Attribute ColorGradientRC3.VB_Description = "gibt den 3. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientRC3 = m_ColorGradientRC3
End Property

Public Property Let ColorGradientRC3(ByVal New_ColorGradientRC3 As Integer)
    m_ColorGradientRC3 = New_ColorGradientRC3
    rc3 = m_ColorGradientRC3
    PropertyChanged "ColorGradientRC3"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientGC1() As Integer
Attribute ColorGradientGC1.VB_Description = "gibt den 1. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientGC1 = m_ColorGradientGC1
    gc1 = m_ColorGradientGC1
End Property

Public Property Let ColorGradientGC1(ByVal New_ColorGradientGC1 As Integer)
    m_ColorGradientGC1 = New_ColorGradientGC1
    gc1 = m_ColorGradientGC1
    PropertyChanged "ColorGradientGC1"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientGC2() As Integer
Attribute ColorGradientGC2.VB_Description = "gibt den 2. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientGC2 = m_ColorGradientGC2
    gc2 = m_ColorGradientGC2
End Property

Public Property Let ColorGradientGC2(ByVal New_ColorGradientGC2 As Integer)
    m_ColorGradientGC2 = New_ColorGradientGC2
    gc2 = m_ColorGradientGC2
    PropertyChanged "ColorGradientGC2"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=14,0,0,0
Public Property Get ColorGradientGC3() As Integer
Attribute ColorGradientGC3.VB_Description = "gibt den 3. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientGC3 = m_ColorGradientGC3
    gc3 = m_ColorGradientGC3
End Property

Public Property Let ColorGradientGC3(ByVal New_ColorGradientGC3 As Integer)
    m_ColorGradientGC3 = New_ColorGradientGC3
    gc3 = m_ColorGradientGC3
    PropertyChanged "ColorGradientGC3"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientBC1() As Integer
Attribute ColorGradientBC1.VB_Description = "gibt den 1. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientBC1 = m_ColorGradientBC1
    bc1 = m_ColorGradientBC1
End Property

Public Property Let ColorGradientBC1(ByVal New_ColorGradientBC1 As Integer)
    m_ColorGradientBC1 = New_ColorGradientBC1
    bc1 = m_ColorGradientBC1
    PropertyChanged "ColorGradientBC1"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientBC2() As Integer
Attribute ColorGradientBC2.VB_Description = "gibt den 2. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientBC2 = m_ColorGradientBC2
    bc2 = m_ColorGradientBC2
End Property

Public Property Let ColorGradientBC2(ByVal New_ColorGradientBC2 As Integer)
    m_ColorGradientBC2 = New_ColorGradientBC2
    bc2 = m_ColorGradientBC2
    PropertyChanged "ColorGradientBC2"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=1,0,0,0
Public Property Get ColorGradientBC3() As Integer
Attribute ColorGradientBC3.VB_Description = "gibt den 3. Wert des Gradients zurck oder legt ihn fest"
    ColorGradientBC3 = m_ColorGradientBC3
    bc3 = m_ColorGradientBC3
End Property

Public Property Let ColorGradientBC3(ByVal New_ColorGradientBC3 As Integer)
    m_ColorGradientBC3 = New_ColorGradientBC3
    bc3 = m_ColorGradientBC3
    PropertyChanged "ColorGradientBC3"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,false
Public Property Get BackgroundGradient() As Boolean
Attribute BackgroundGradient.VB_Description = "legt fest ob ein Gradientverlauf angezeigt werden soll wenn sich die Maus nicht ber dem Men bewegt"
    BackgroundGradient = m_BackgroundGradient
    bBackgroundGradient = m_BackgroundGradient
End Property

Public Property Let BackgroundGradient(ByVal New_BackgroundGradient As Boolean)
    m_BackgroundGradient = New_BackgroundGradient
    bBackgroundGradient = m_BackgroundGradient
    PropertyChanged "BackgroundGradient"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=10,0,0,&H00C0C0C0&
Public Property Get BackColor2() As OLE_COLOR
Attribute BackColor2.VB_Description = "gibt die 2. Hintergrundfarbe des Mens zurck oder legt sie fest"
    BackColor2 = m_BackColor2
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_BackColor2 And &HFF000000) = &H80000000 Then _
    m_BackColor2 = GetSysColor(m_BackColor2 And &HFFFFFF)
    
    lBackColor2 = m_BackColor2
End Property

Public Property Let BackColor2(ByVal New_BackColor2 As OLE_COLOR)
    m_BackColor2 = New_BackColor2
    
    'Umwandlen einer Systemfarbe nach RGB
    If (m_BackColor2 And &HFF000000) = &H80000000 Then _
    m_BackColor2 = GetSysColor(m_BackColor2 And &HFFFFFF)
    
    lBackColor2 = m_BackColor2
    PropertyChanged "BackColor2"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=8,0,0,0
Public Property Get BackgroundGradientOrientation() As eBackgroundGradientOrientation
Attribute BackgroundGradientOrientation.VB_Description = "gibt die Ausrichtung des Gradients zurck oder legt sie fest"
    BackgroundGradientOrientation = m_BackgroundGradientOrientation
    eBackgroundOrientation = m_BackgroundGradientOrientation
End Property

Public Property Let BackgroundGradientOrientation(ByVal New_BackgroundGradientOrientation As eBackgroundGradientOrientation)
    m_BackgroundGradientOrientation = New_BackgroundGradientOrientation
    eBackgroundOrientation = m_BackgroundGradientOrientation
    PropertyChanged "BackgroundGradientOrientation"
End Property
