Attribute VB_Name = "mdlOfficeMen"
Option Explicit

'dieser Source stammt fast vollstndig vom vbArchiv _
( Ausgangspunkt: Mens  la MS-Office verwenden ) _
und wurde nur mit Variablen ausgestattet, _
die die Manipulation von Mens erleichtert!

'das Anzeigen von Systemfarben ist jetzt auch mglich
'(hab vergessen die Farben zuvor in einen RGB-Wert umzuwandeln _
und wurden deshalb schwarz angezeigt)

'dieser Source kann frei verwendet und weiterentwickelt werden _
fr evtl. auftretende Schden wird nicht gehaftet.


'Konstante          Bedeutung                                       Wert
'SND_ASYNC          Das Programm wartet nicht bis der Sound         1
'                   abgespielt wurde.

'SND_NODEFAULT      Wenn die angegebene Datei nicht gefunden        2
'                   werden konnte, wird nicht der Standartklang
'                   abgespiel.

'SND_SYNC           Der Programm fhrt erst fort, wenn der Sound    0
'                   abgespielt wurde

'SND_LOOP           Der Sound wird solange wiederholt abgespielt    8
'                   bis die sndPlaySound-Funktion erneut, diesmal
'                   aber mit vbNullString anstelle eines Datei-
'                   namens, aufgerufen wird,

'SND_NOSTOP         Der angegebene Sound wird nicht gespielt,       16
'                   wenn gerade ein anderer Sound gespielt wird.

'*** Sound-Funktionen ***
'----------------------------------------------------------------------------------------
'fr das Abspielen der Datei
Public Const SND_SYNC = &H0
Public Const SND_ASYNC = &H1
Public Const SND_NODEFAULT = &H2
Public Const SND_MEMORY = &H4
Public Const SND_LOOP = &H8
Public Const SND_NOSTOP = &H10
Public Const SND_PURGE = &H40
Public Const SND_NOWAIT = &H2000

'Public Declare Function PlaySound Lib "winmm.dll" Alias "PlaySoundA" _
(ByVal lpszName As String, ByVal hModule As Long, ByVal dwFlags As Long) As Long
Public Declare Function sndPlaySoundA Lib "Winmm" _
(ByVal IpszSoundName As String, _
ByVal fuOptions As Integer) As Integer

Public Sound$
Public PfadSound As String
'----------------------------------------------------------------------------------------
' Code by Martin Walcher
' info@martinwalcher.de
' http://www.martinwalcher.de/

Public Declare Function GetWindowLong Lib "USER32.DLL" Alias "GetWindowLongA" ( _
  ByVal hwnd As Long, _
  ByVal nIndex As Long _
) As Long

Public Declare Function SetWindowLong Lib "USER32.DLL" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function CallWindowProc Lib "USER32.DLL" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Private Declare Function SetPixel Lib "gdi32.dll" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long, ByVal crColor As Long) As Long
Public Declare Function GetSysColor Lib "USER32.DLL" (ByVal nIndex As Long) As Long
Private Declare Function CreatePen Lib "gdi32.dll" (ByVal nPenStyle As Long, ByVal nWidth As Long, ByVal crColor As Long) As Long
Private Declare Function CreateSolidBrush Lib "gdi32.dll" (ByVal crColor As Long) As Long
Private Declare Function Rectangle Lib "gdi32.dll" (ByVal hDC As Long, ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long) As Long
Private Declare Function SelectObject Lib "gdi32.dll" (ByVal hDC As Long, ByVal hObject As Long) As Long
Private Declare Function DeleteObject Lib "gdi32.dll" (ByVal hObject As Long) As Long
Private Declare Function SetTextColor Lib "gdi32.dll" (ByVal hDC As Long, ByVal crColor As Long) As Long
Private Declare Function TextOut Lib "gdi32.dll" Alias "TextOutA" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long, ByVal lpString As String, ByVal nCount As Long) As Long
Private Declare Function SetBkMode Lib "gdi32.dll" (ByVal hDC As Long, ByVal nBkMode As Long) As Long
Public Declare Function GetMenu Lib "USER32.DLL" (ByVal hwnd As Long) As Long
Public Declare Function GetSubMenu Lib "USER32.DLL" (ByVal Hmenu As Long, ByVal nPos As Long) As Long
Private Declare Function GetMenuString Lib "USER32.DLL" Alias "GetMenuStringA" (ByVal Hmenu As Long, ByVal wIDItem As Long, ByVal lpString As String, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Private Declare Function LineTo Lib "gdi32.dll" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long) As Long
Private Declare Function GetMenuState Lib "USER32.DLL" (ByVal Hmenu As Long, ByVal wID As Long, ByVal wFlags As Long) As Long
Private Declare Function ModifyMenu Lib "USER32.DLL" Alias "ModifyMenuA" (ByVal Hmenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal wIDNewItem As Long, ByVal lpString As Any) As Long
Private Declare Function GetMenuItemID Lib "USER32.DLL" (ByVal Hmenu As Long, ByVal nPos As Long) As Long
Public Declare Function SetMenuItemBitmaps Lib "USER32.DLL" (ByVal Hmenu As Long, ByVal nPosition As Long, ByVal wFlags As Long, ByVal hBitmapUnchecked As Long, ByVal hBitmapChecked As Long) As Long
Private Declare Function GetMenuItemInfo Lib "USER32.DLL" Alias "GetMenuItemInfoA" (ByVal Hmenu As Long, ByVal un As Long, ByVal b As Boolean, ByRef lpMenuItemInfo As MENUITEMINFO) As Long
Private Declare Function TransparentBlt Lib "msimg32.dll" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal crTransparent As Long) As Long
Private Declare Function GetMenuItemCount Lib "USER32.DLL" (ByVal Hmenu As Long) As Long
Private Declare Sub CopyMemory Lib "kernel32.dll" Alias "RtlMoveMemory" (ByRef Destination As Any, ByRef Source As Any, ByVal Length As Long)
Private Type RECT
  Left As Long
  Top As Long
  Right As Long
  Bottom As Long
End Type
Private Type MEASUREITEMSTRUCT
  CtlType As Long
  CtlID As Long
  itemID As Long
  itemWidth As Long
  itemHeight As Long
  itemData As Long
End Type
Private Type DRAWITEMSTRUCT
  CtlType As Long
  CtlID As Long
  itemID As Long
  itemAction As Long
  itemState As Long
  hwndItem As Long
  hDC As Long
  rcItem As RECT
  itemData As Long
End Type
Private Type MENUITEMINFO
  cbSize As Long
  fMask As Long
  fType As Long
  fState As Long
  wID As Long
  hSubMenu As Long
  hbmpChecked As Long
  hbmpUnchecked As Long
  dwItemData As Long
  dwTypeData As String
  cch As Long
End Type

Declare Function SetLayeredWindowAttributes Lib "USER32.DLL" (ByVal hwnd As Long, ByVal crKey As Long, ByVal bAlpha As Byte, ByVal dwFlags As Long) As Long

Public Const GWL_EXSTYLE = (-20)
Public Const WS_EX_LAYERED = &H80000


Private Const GWL_WNDPROC As Long = -4
Private Const WM_MEASUREITEM As Long = &H2C
Private Const WM_DRAWITEM As Long = &H2B
Private Const COLOR_BACKGROUND As Long = 1
Private Const COLOR_MENU As Long = 4
Private Const COLOR_MENUTEXT As Long = 7

Public lMenbreite As Long
Public lMenhhe As Long
Public lMenBorderColor As Long
Public lSeparatorHhe As Long
Public lBorderWidthGradient As Long
Public lBackColor As Long
Public lBackColor2 As OLE_COLOR
Public lForeColor As Long
Public lDisabledForeColor As Long
Public lColorSeparator As Long
Public lSelectTextEinzug As Long
Public lSelectForeColor As Long
Public lSelectBackColor As Long
Public lSelectBorderColor As Long
Public lTransparentBackColorMenPicture As Long
Public lMenPictureSize As Long
Public bSelectMenGradient As Boolean
Public bSelectGradientBorder As Boolean
Public bBackgroundGradient As Boolean
Public eBackgroundOrientation As Long
Public eSelectGradientOrientation As Long
Public oleGradientColor1 As OLE_COLOR
Public oleGradientColor2 As OLE_COLOR

Private Const PS_SOLID As Long = 0
Private Const TRANSPARENT As Long = 1
Private Const MF_SEPARATOR As Long = &H800&
Private Const MF_BYPOSITION As Long = &H400&
Private Const MF_OWNERDRAW As Long = &H100&
Private Const MIIM_CHECKMARKS As Long = &H8
Private Const MIIM_STATE As Long = &H1
Private Const MF_CHECKED As Long = &H8&

Dim oldProc As Long
Public menuhandle As Long
  'fr die nderung der Gradientfarbe
  Public rc1 As Long, rc2 As Long, rc3 As Long
  Public gc1 As Long, gc2 As Long, gc3 As Long
  Public bc1 As Long, bc2 As Long, bc3 As Long

Public Sub playMenSound()

    If PfadSound <> "" Then
        Sound$ = sndPlaySoundA(PfadSound, 2 Or 1)
    End If

End Sub
Public Function MakeMenuOfficeStyle(ByVal hwnd As Long) As Boolean
  Dim xm As Long, m As Long, I As Long
  
  xm = GetMenu(hwnd)
  menuhandle = xm
  
  For I = 0 To GetMenuItemCount(xm)
    m = GetSubMenu(xm, I)
    If m > 0 Then StyleSubMenu m
  Next

End Function

Private Function StyleSubMenu(ByVal xm As Long)
  Dim m As Long, I As Long
  
  For I = 0 To GetMenuItemCount(xm)
    m = GetMenuItemID(xm, I)
    If m = -1 Then
      m = GetSubMenu(xm, I)
      If m > 0 Then StyleSubMenu m
    End If
    If m > 0 Then ModifyMenu xm, m, GetMenuState(xm, m, 0) Or MF_OWNERDRAW, m, GetMenuText(xm, m)
  Next

End Function

Private Function GetMenuText(ByVal m As Long, ByVal id As Long, Optional ByVal flags As Long = 0) As String
  GetMenuText = Space(64)
  GetMenuString m, id, GetMenuText, Len(GetMenuText), flags
  GetMenuText = Left(GetMenuText, InStr(GetMenuText & Chr(0), Chr(0)) - 1)
End Function

Private Function GetMenuBitmap(ByVal MenuID As Long) As Long
  On Error Resume Next
  Dim itemchecked As Boolean, Mi As MENUITEMINFO, lngTmp As Long
  
  Mi.cbSize = Len(Mi)
  Mi.fMask = MIIM_STATE
  GetMenuItemInfo menuhandle, MenuID, False, Mi
  itemchecked = ((Mi.fState And MF_CHECKED) = MF_CHECKED)

  Mi.fMask = MIIM_CHECKMARKS
  GetMenuItemInfo menuhandle, MenuID, False, Mi
  If itemchecked Then GetMenuBitmap = Mi.hbmpChecked Else GetMenuBitmap = Mi.hbmpUnchecked

End Function

Sub SetProc(ByVal hwnd As Long)
  oldProc = SetWindowLong(hwnd, GWL_WNDPROC, AddressOf NewProc)
End Sub

Sub DelProc(ByVal hwnd As Long)
  SetWindowLong hwnd, GWL_WNDPROC, oldProc
End Sub

Private Function NewProc(ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
  Dim mis As MEASUREITEMSTRUCT, dis As DRAWITEMSTRUCT
  Dim r As RECT, s As String, X As Long, Y As Long
  Dim c As Long, rc As Long, gc As Long, bc As Long
  
    Dim selMenGradient As Gradient
    Set selMenGradient = New Gradient
    
  Select Case msg
  Case WM_MEASUREITEM
    CopyMemory mis, ByVal lParam, Len(mis)
    If mis.itemID <= 0 Then GoTo 1
    mis.itemWidth = lMenbreite
    If (GetMenuState(GetMenu(hwnd), mis.itemID, 0) And MF_SEPARATOR) = _
    MF_SEPARATOR Then mis.itemHeight = lSeparatorHhe Else mis.itemHeight = _
    lMenhhe
    
    CopyMemory ByVal lParam, mis, Len(mis)
  
  Case WM_DRAWITEM
    CopyMemory dis, ByVal lParam, Len(dis)
    If dis.itemID <= 0 Then GoTo 1
    
    s = Space(64)
    GetMenuString GetMenu(hwnd), dis.itemID, s, Len(s), 0
    s = Left(s, InStr(s & Chr(0), Chr(0)) - 1)
    If Not s = "" Then s = Split(s, vbTab, 2)(0)
    s = Replace(s, "&", "")
    
    Select Case dis.itemState And 1
    
    Case 0
        If bBackgroundGradient = False Then   'Standart
            DrawRect dis.hDC, dis.rcItem, lMenBorderColor, lBackColor
            For X = dis.rcItem.Left To dis.rcItem.Left + lBorderWidthGradient
              rc = rc1 - Round(X / 26 * (rc2 - rc3))
              gc = gc1 - Round(X / 26 * (gc2 - gc3))
              bc = bc1 - Round(X / 26 * (bc2 - bc3))
              c = rc + gc * 256 + bc * 256 ^ 2
              For Y = dis.rcItem.Top To dis.rcItem.Bottom
                SetPixel dis.hDC, X, Y, c
              Next
            Next
        Else
            DrawRect dis.hDC, dis.rcItem, lMenBorderColor, lBackColor
            r.Left = dis.rcItem.Left + 1
            r.Top = dis.rcItem.Top + 1
            r.Right = dis.rcItem.Right - 1
            r.Bottom = dis.rcItem.Bottom
      
            Call selMenGradient.DrawGradient(dis.hDC, VarPtr(r), _
            lBackColor, lBackColor2, eBackgroundOrientation)
        End If
        
      Select Case (dis.itemState And 6) = 6
      Case True
        r.Left = dis.rcItem.Left + lBorderWidthGradient + 3
        r.Right = dis.rcItem.Right
        r.Top = dis.rcItem.Top + 2
        r.Bottom = r.Top + 1
        DrawRect dis.hDC, r, lColorSeparator, lColorSeparator
        SetBkMode dis.hDC, TRANSPARENT
        SetTextColor dis.hDC, lDisabledForeColor
        TextOut dis.hDC, dis.rcItem.Left + lBorderWidthGradient + 9, dis.rcItem.Top + (dis.rcItem.Bottom - dis.rcItem.Top) / 2 - 2 / 2, s, Len(s)
      Case False
        SetBkMode dis.hDC, TRANSPARENT
        SetTextColor dis.hDC, lForeColor
        TextOut dis.hDC, dis.rcItem.Left + lBorderWidthGradient + 9, dis.rcItem.Top + (dis.rcItem.Bottom - dis.rcItem.Top) / 2 - 12 / 2, s, Len(s)
      End Select
    
    Case 1  'Maus bewegt sich ber dem Men
        
        Call playMenSound
        
      r.Left = dis.rcItem.Left + 1
      r.Top = dis.rcItem.Top + 1
      r.Right = dis.rcItem.Right - 1
      r.Bottom = dis.rcItem.Bottom
      
      'prfen ob ein Gradientverlauf gewnscht ist
      If bSelectMenGradient = False Then
        DrawRect dis.hDC, r, lSelectBorderColor, lSelectBackColor
      Else
        If bSelectGradientBorder = True Then
            DrawRect dis.hDC, r, lSelectBorderColor, lSelectBackColor
            r.Left = dis.rcItem.Left + 2
            r.Top = dis.rcItem.Top + 2
            r.Right = dis.rcItem.Right - 2
            r.Bottom = dis.rcItem.Bottom - 1
      
            Call selMenGradient.DrawGradient(dis.hDC, VarPtr(r), _
            oleGradientColor1, oleGradientColor2, eSelectGradientOrientation)
        Else
            Call selMenGradient.DrawGradient(dis.hDC, VarPtr(r), _
            oleGradientColor1, oleGradientColor2, eSelectGradientOrientation)
        End If
      End If
      
      ' fr unregelmige Rechtecke ' vor MakeDiffuseRect entfernen
      'MakeDiffuseRect dis.hdc, r, 20
      SetBkMode dis.hDC, TRANSPARENT
      SetTextColor dis.hDC, lSelectForeColor
      TextOut dis.hDC, dis.rcItem.Left + lBorderWidthGradient + 9 + lSelectTextEinzug, dis.rcItem.Top + (dis.rcItem.Bottom - dis.rcItem.Top) / 2 - 12 / 2, s, Len(s)
    
    End Select
    
    c = GetMenuBitmap(dis.itemID)
    If Not c = 0 Then TransparentBlt dis.hDC, dis.rcItem.Left + 5 - (dis.itemState And 1), dis.rcItem.Top + 4 - (dis.itemState And 1), lMenPictureSize, lMenPictureSize, c, 0, 0, lMenPictureSize, lMenPictureSize, lTransparentBackColorMenPicture
  
  End Select
1 NewProc = CallWindowProc(oldProc, hwnd, msg, wParam, lParam)
End Function

Private Sub DrawRect(ByVal hDC As Long, r As RECT, ByVal bc As Long, ByVal fc As Long)
  Dim hp As Long, hb As Long
  hp = CreatePen(PS_SOLID, 0, bc)
  hb = CreateSolidBrush(fc)
  SelectObject hDC, hp
  SelectObject hDC, hb
  Rectangle hDC, r.Left, r.Top, r.Right, r.Bottom
  DeleteObject hb
  DeleteObject hp
End Sub

Private Function MakeDiffuseRect(ByVal hDC As Long, r As RECT, ByVal anzahl As Long) As Boolean
  Dim I As Long
  For I = 1 To anzahl
    DrawDiffuseRect hDC, r
  Next
End Function

Private Function DrawDiffuseRect(ByVal hDC As Long, r As RECT) As Boolean
  Dim nr As RECT, c As Long
  
  nr.Left = Rnd * (r.Right - r.Left - Rnd * 40) + r.Left
  If nr.Left <= r.Left Then nr.Left = r.Left + 1
  nr.Right = nr.Left + Rnd * 30 + 10
  If nr.Right >= r.Right Then nr.Right = r.Right - 1
  nr.Top = Rnd * (r.Bottom - r.Top - Rnd * 30) + r.Top
  If nr.Top <= r.Top Then nr.Top = r.Top + 1
  nr.Bottom = nr.Top + Rnd * 20 + 10
  If nr.Bottom >= r.Bottom Then nr.Bottom = r.Bottom - 1
  
  c = 20
  c = RGB(178 + Rnd * c - c / 2, 186 + Rnd * c - c / 2, 208 + Rnd * c - c / 2)
  DrawRect hDC, nr, c, c
End Function

Public Function FindMenuHandle(ByVal lngMenu As Long, lngID As Long) As Long
  Select Case GetMenuState(lngMenu, lngID, 0)
  Case -1
    FindMenuHandle = FindMenuHandleb(lngMenu, lngID)
  Case Else
    FindMenuHandle = lngID
  End Select
End Function

Private Function FindMenuHandleb(ByVal lngMenu As Long, lngID As Long, Optional lngCur As Long = 1) As Long
  Dim lngSubMenu As Long, I As Long
  For I = 0 To GetMenuItemCount(lngMenu) - 1
    lngSubMenu = GetMenuItemID(lngMenu, I)
    If lngSubMenu = -1 Then
      lngSubMenu = GetSubMenu(lngMenu, I)
      If lngCur = lngID Then FindMenuHandleb = lngSubMenu: Exit Function
      lngCur = lngCur + 1
      FindMenuHandleb = FindMenuHandleb(lngSubMenu, lngID, lngCur)
      If Not FindMenuHandleb = 0 Then Exit Function
    Else
      If lngCur = lngID Then FindMenuHandleb = lngSubMenu: Exit Function
      lngCur = lngCur + 1
    End If
  Next
End Function

